[4mVTPRINTCAP[24m(5)                 File Formats Manual                [4mVTPRINTCAP[24m(5)

[1mNAME[0m
       vtprintcap - database of terminal printer control codes

[1mSYNOPSIS[0m
       [1m/etc/vtprintcap[0m

[1mDESCRIPTION[0m
       [1mvtprintcap  [22mis  a  simple  flat  file database containing a list of the
       names of various terminals and the codes those terminals use  to  start
       and  stop  an attached printer (media hard copy). This database is used
       by [1mvtprint[22m(1) and related programs.

       Each entry is composed of three lines.  The first line is  a  comma-de-
       limited  list  of names which may be used to reference this entry.  The
       second line the sequence of characters used by the terminal to turn  on
       an  attached hard copy device and redirect output to that device.   The
       third line contains the sequence of characters used to turn the  device
       off and restore normal output to the screen.

       An  entry  must have all three lines to be considered valid.  Currently
       no comment lines are permitted to exist between these lines: such lines
       would be interpreted as the printer control codes themselves!

       The rules for selecting a terminal name are simple: you must follow the
       same rules as for [1m/etc/termcap[22m(5) names.  Terminal names should be  en-
       tered  in  [1m/etc/vtprintcap  [22mwith  exactly  the  same  names  as  are in
       [1m/etc/termcap[22m.

       The control code strings in the second and third lines of an entry  are
       governed as follows: ANSI C style escapes for character constants (e.g.
       \n  for  newline)  are  permitted,  constant strings are permitted, and
       quotes may be used to as delimiters in the string.  (This is useful  if
       you  wish  you  use a digit immediately following a numeric escape. For
       example, ESC-5 should be represented as \033"5" to avoid  confusion  in
       with  \335.   In general, the rules outlined for ANSI constant escaping
       are enforced.

       Additionally, [1m/etc/vtprintcap [22mmay contain comment lines, which are  in-
       dicated  by  placing  a  hash mark (#) in the first column of the line.
       Remember however that entries must [4mnot[24m be broken up by comment lines!

[1mEXAMPLE[0m
       Here is a sample entry common to DEC vt100 and vt102 terminals:

              # Sample vtprintcap entry for vt100 & vt102 terminals
              vt100, vt102
              \033[5i
              \033[4i

       This entry would be used whenever the user's TERM environment  variable
       was set to "vt102" or "vt100", using ESC [5i and ESC [4i as the printer
       control codes to turn a printer on and off, respectively.

[1mDISTRIBUTION[0m
       [1mvtprintcap  [22mis  part  of  the [1mvtprint [22mpackage, which can be obtained by
       anonymous ftp at ftp.sdsu.edu in the  [1m/pub/vtprint  [22mdirectory.   Please
       read the [1mINDEX [22mand [1mREADME [22mfiles before downloading.

       If  you  do not have ftp availability, then you can request a uuencoded
       copy of [1mvtprint [22mbe sent to you via e-mail from the author.  The  author
       is  also  willing  to make other arrangements as needed, within certain
       limitations.

[1mFILES[0m
       [1m/etc/termcap[0m
       [1m/etc/vtprintcap[0m

[1mBUGS[0m
       [1mvtprintcap [22mhandling code currently could get confused if a printer con-
       trol code is exactly the same as the name of a terminal,  or  contained
       the  name  of a terminal delimited by commas.  As this is very unlikely
       to every occur, it shouldn't be a problem.

[1mSEE ALSO[0m
       [1mtermcap[22m(5) [1mvtprint[22m(1)

vtprint v2.0.2                  25 October 1994                  [4mVTPRINTCAP[24m(5)
